=== debian/changelog ===
cothreads (0.10-6build2) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 08:12:47 +0100

cothreads (0.10-6build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:19:39 +0100

cothreads (0.10-6) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Switch to dh, bump debhelper compat level to 13
  * Do not try to build vmthreads backend
  * Add Semaphore to --nodefined-map
  * Install in a subdir of OCaml stdlib dir
  * Add Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.0
  * Bump debian/watch version to 4

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Set upstream metadata fields: Archive, Name, Repository.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 02 Jan 2022 08:54:32 +0100

cothreads (0.10-5) unstable; urgency=medium

  * Team upload
  * Update Vcs-*
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 17 Sep 2019 09:47:14 +0200

cothreads (0.10-4) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Switch source package format to 3.0 (quilt)
  * Bump debhelper compat to 10
  * Update Vcs-*

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders (Closes: #869317)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jul 2017 06:24:50 +0200

cothreads (0.10-3) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Use dh_ocaml (and related tools) to build the package and compute
    the dependencies.
  * Move the package to section ocaml.

  [ Mehdi Dogguy ]
  * Cosmetic changes in debian/control
  * Update email address
  * Bump standards to 3.8.3, no changes needed
  * Build-depend on OCaml 3.11.1-3~
  * Bump dh-ocaml version to 0.9.1
  * Switch order of inclusion for debhelper.mk and dpatch.mk to
    workaround a bug of cdbs.
  * Add a nodefined-map for dh-ocaml to not export some modules
    (Closes: #549784).

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 31 Oct 2009 13:36:33 +0100

cothreads (0.10-2) unstable; urgency=low

  * Add build-depends on dh-ocaml
  * Upgrade Standards-Version to 3.8.0 (README.source)
  * Switch packaging to git
  * Remove verbatim text in debian/control
  * Update homepage field
  * Use rules/ocaml.mk, add versionned dependency on dh-ocaml
  * Update debian/copyright file to use
    http://wiki.debian.org/Proposals/CopyrightFormat

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 06 Mar 2009 22:56:54 +0100

cothreads (0.10-1) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * Initial upload (Closes: #444082)

  [ Sylvain Le Gall ]
  * Use ocaml 3.10.0-9 for generating .ocamldoc-apiref automatically

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Mehdi Dogguy ]
  * enhance META
  * add myself as an Uploader
  * set Maintainer to d-o-m, and Erik as uploader
  * bump standards-version
  * remove line '@OCamlStdlibDir@/cothreads' from libcothreads-ocaml-dev.dirs.in
    (thanks lintian)

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 10 May 2008 00:47:16 +0200
