=== debian/watch ===
version=4
http://sf.net/cothreads/cothreads_([0-9].*)\.tar\.bz2
